/**
 * \file  Demo.java
 * information: this class implements logic from Demo.4gl (Informix 4GL)
 * 
 * 
 * created: 11/May/2012
 * (c) 2012 Ispirer Systems
 *
 * \author  Alexei Savchik
 */
import java.sql.*;


public class Demo {
	public class  gr_accounts_class	 {
		 public String account = null ;
		 public Integer zip = null;
		 public Integer phone = null;
 	 	};
 	 	public String connectionString = ""; //please enter your connection string for database
	   	public gr_accounts_class gr_accounts = new  gr_accounts_class();
	   	public Connection conn = null;
	   	public Demo() throws SQLException, Exception
	   	{
   			Class.forName("com.informix.jdbc.IfxDriver");
   			conn = DriverManager.getConnection(connectionString);
	   		insertData("Jon",222000,7894561);
	   		insertData("Alex",212002,3456258);
	   		insertData("Mike",345612,2456854);
	   		getData("Jon");

	   		
	   	}
	   	
	   	public void getData(String account) throws SQLException, Exception{
	        Integer ErrorCode = -1;
	        String SqlState = "";
	        boolean FetchStatus = false;
	   		PreparedStatement mStmtCur = null;
	   		ResultSet RsCur = null;
	   		gr_accounts.account = account;
	   		try 
	   		{
			
						
	   			mStmtCur = conn.prepareStatement(" SELECT * "+
	   											" FROM accounts " +
	   											" WHERE account = ?");
	   			
	   			mStmtCur.setString(1,gr_accounts.account );
	   			RsCur = mStmtCur.executeQuery();
	   		} 
	   		catch(SQLException se) 
	   		{
	   	              ErrorCode = se.getErrorCode();
	   	              SqlState = se.getSQLState();
	   	              throw se;
	   	    }
			while(true)
			{
   	           try
   	           {
   	              FetchStatus = RsCur.next();
   	              if(FetchStatus)
   	              {
	   	            	gr_accounts.account = RsCur.getString(1);
	   	            	gr_accounts.zip = RsCur.getInt(2);
	   	            	gr_accounts.phone = RsCur.getInt(3);
	   	            	System.out.println(gr_accounts.account);
	   	            	System.out.println(gr_accounts.zip);
	   	            	System.out.println(gr_accounts.phone);
   	              }
   	              else
   	              {
   	            	  	SqlState = "02000";
   	            	  	break;
   	              }
   	           }
   	           catch(SQLException se)
   	           {
   	              ErrorCode = se.getErrorCode();
   	              SqlState = se.getSQLState();
   	              throw se;
   	           }
			}
	   	}
	   	
	   	public void insertData(String account, Integer zip, Integer phone) throws SQLException, Exception{
	        Integer ErrorCode = -1;
	        String SqlState = "";
	   		
	   		PreparedStatement mStmtCur = null;
	   		gr_accounts.account = account;
	   		try {
			
					
	   			mStmtCur = conn.prepareStatement("INSERT INTO  "+
	   											"  accounts "+
	   											" values(?,?,?)");
	   			mStmtCur.setString(1,account );
	   			mStmtCur.setInt(2, zip);
	   			mStmtCur.setInt(3, phone);
	   			
	   			mStmtCur.executeUpdate();
	   		}
	   	    catch(SQLException se) {
              ErrorCode = se.getErrorCode();
              SqlState = se.getSQLState();
              throw se;
	   	    }
				
	   	}
	   	
}
